Anonymous Login
2019-04-18 04:05 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000631v2.2 Release (Closed)[All Projects] Generalpublic2010-12-19 13:19
Reporteropto 
Assigned Tocaseydk 
PriorityhighSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.2 
Summary0000631: Thunderbird cannot display ical feed, incl. patch
Descriptiontask start and task end have the same UID -> no display in TB.

see http://forums.web2project.net/viewtopic.php?p=8036#8036
Additional Informationpatch:

=== verändert Datei classes/w2p/API/iCalendar.class.php
--- classes/w2p/API/iCalendar.class.php 2010-11-20 11:28:25 +0000
+++ classes/w2p/API/iCalendar.class.php 2010-11-20 11:41:08 +0000
@@ -20,7 +20,7 @@
     public static function formatCalendarItem($calendarItem, $module_name) {
         global $AppUI;
         $name = $calendarItem['name'];
- $uid = $module_name.'_'.$calendarItem['id'];
+ if (isset( $calendarItem['UID'] )) $uid= $calendarItem['UID']; else $uid = $module_name.'_'.$calendarItem['id'];
         $description = '';
         $attachments = '';
 

=== verändert Datei modules/tasks/tasks.class.php
--- modules/tasks/tasks.class.php 2010-11-20 11:28:25 +0000
+++ modules/tasks/tasks.class.php 2010-11-20 11:41:08 +0000
@@ -2272,8 +2272,8 @@
         //TODO: A user should be able to select if they get distinct start/end dates or two tasks for each task.
         foreach ($taskList as $taskItem) {
             //$taskArray[] = $taskItem;
- $taskArray[] = array_merge($taskItem, array('endDate' => $taskItem['startDate'], 'name' => 'Start: ' . $taskItem['name']));
- $taskArray[] = array_merge($taskItem, array('startDate' => $taskItem['endDate'], 'name' => 'End: ' . $taskItem['name']));
+ $taskArray[] = array_merge($taskItem, array('endDate' => $taskItem['startDate'], 'name' => 'Start: ' . $taskItem['name'], 'UID' => 'tasks_'. $taskItem['id'] .'S'));
+ $taskArray[] = array_merge($taskItem, array('startDate' => $taskItem['endDate'], 'name' => 'End: ' . $taskItem['name'], 'UID' => 'tasks_'. $taskItem['id'] .'E'));
         }
 
         return $taskArray;
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001354

opto (manager)

Last edited: 2010-11-20 04:08

the following change in CTask->getTaskList sets the updatedDate of the VEVENT (DTSTAMP) to the last update date of the db entry, which makes more sense in my opinion.

At the moment, the updateddate is the creation date of the ical feed.
If we use the db updatedate instead, we can later use this for ical 2 way sync.


// old $q->addQuery("'".$q->dbfnNowWithTZ()."'" . ' as updatedDate');
//get updatedDate from db
        $q->addQuery('task_updated as updatedDate');

~0001394

caseydk (administrator)

Resolved as described in r1510 & 1511

~0001456

caseydk (administrator)

In v2.2 release.
+Notes

-Issue History
Date Modified Username Field Change
2010-11-20 02:49 opto New Issue
2010-11-20 04:06 opto Note Added: 0001354
2010-11-20 04:08 opto Note Edited: 0001354
2010-11-24 23:35 caseydk Project v2.1 Release (Closed) => v2.2 Release (Closed)
2010-11-24 23:46 caseydk Priority normal => high
2010-12-03 12:35 caseydk Status new => assigned
2010-12-03 12:35 caseydk Assigned To => caseydk
2010-12-03 22:43 caseydk Note Added: 0001394
2010-12-03 22:43 caseydk Status assigned => resolved
2010-12-03 22:43 caseydk Resolution open => fixed
2010-12-19 13:19 caseydk Note Added: 0001456
2010-12-19 13:19 caseydk Status resolved => closed
2010-12-19 13:19 caseydk Fixed in Version => 2.2
+Issue History